commit:     6a4a27b4cf62f771984eeed9143c3f75b14c446c
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Thu Feb  6 10:42:25 2020 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Thu Feb  6 10:42:37 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a4a27b4

app-crypt/certbot: Revert "0.39.0 and 0.40.1 cleanup"

This reverts commit bbcf8d94a5cb23a659ca26ebcb8dba6c62a92e6c.

Still needed for app-crypt/certbot-dns-nsone.

Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 app-crypt/certbot/Manifest              |  2 ++
 app-crypt/certbot/certbot-0.39.0.ebuild | 50 +++++++++++++++++++++++++++++++++
 app-crypt/certbot/certbot-0.40.1.ebuild | 50 +++++++++++++++++++++++++++++++++
 3 files changed, 102 insertions(+)

diff --git a/app-crypt/certbot/Manifest b/app-crypt/certbot/Manifest
index b42432f8548..0177f131f91 100644
--- a/app-crypt/certbot/Manifest
+++ b/app-crypt/certbot/Manifest
@@ -1,3 +1,5 @@
+DIST certbot-0.39.0.tar.gz 1350312 BLAKE2B 
5f21c45d25754cb1ed0ad92e8d03637928a274637de09903509c7e78c40fd197e95cfa1f3effecef938d6ab8369dc6811714ddb5a93a806048e0998d1032e4f9
 SHA512 
17ab17a5f74e3fba58b1a8b9afe0c3656c7b2a5ea3585edb05ad84e36250c6a8d4d28bd692bc97d033c95eb0bbeff4eb84981ae0006e36d55846cd38373b86a0
+DIST certbot-0.40.1.tar.gz 1353347 BLAKE2B 
86b3df4047101d00d5f17cf3a1a11e5800e850f5a9f736507ad373e552c27e9e4a3a17695f5a817d191cad383fc17336214fc1d8de7a99354ce4d2f5c6e728c1
 SHA512 
e5517a20cf26efba850728b3f81db5d6c3c5570b0a1c8eeeec9d4a4401ac04bcf44c6a2f1c248bf6e0b1be4a21b54f6168ccd11dc766304805f13b4cb16336b3
 DIST certbot-1.0.0.tar.gz 1336032 BLAKE2B 
ca26cfd3d9f802b09eaf387225f24fbb01385f81dfa661dfb5acbd97982a6fc773c56abf6b3f99db7f2b0cdc8c5a7175d264714592858b38217e444d4e1d2b4b
 SHA512 
649ddd3d9305e166ef36de4e4e48b1171d5f369d9d60c026ab37a03e7b221cd815e93e69460662e6436b56cec076005582457e9d45499114306ad808a2497912
 DIST certbot-1.1.0.tar.gz 1346768 BLAKE2B 
5c86edec3102ce0eb822465458ec86cbc98eb5e76c3c582d8a72ecab91e709f16e7a1576c684bc04bfd0c70918f34e84e0b3b264f949a1fb9bf9503fa9d6b179
 SHA512 
905b21a8a50b4df4eb92b464d10dec094ba4e7f5eaf3ad3dae1704a794952df6b51873ca919246a9b6698fd652a7c264efc742617ba0a25757ab99397759c343
 DIST certbot-1.2.0.tar.gz 1354262 BLAKE2B 
1abdf4cb99ecdac6b9b8d2ebdd6897a3182a147f0175e2db4c6b0feaa3f6c615ee3146dd63627a83266c223456c5aba44b018be4059574d0209aec89065d9925
 SHA512 
ed52a31a71b3762b8cd217ea2784d9cb01f7c1a50cef3b7e0d99483ca3ab623b90ab7d4896674e0d1c06e2e8370c02162418d934de7d3048b0471416616146fe

diff --git a/app-crypt/certbot/certbot-0.39.0.ebuild 
b/app-crypt/certbot/certbot-0.39.0.ebuild
new file mode 100644
index 00000000000..00ca3acc612
--- /dev/null
+++ b/app-crypt/certbot/certbot-0.39.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=(python{3_6,3_7})
+
+if [[ ${PV} == 9999* ]]; then
+       EGIT_REPO_URI="https://github.com/certbot/certbot.git";
+       inherit git-r3
+else
+       SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
+fi
+
+inherit distutils-r1
+
+DESCRIPTION="Let's encrypt client to automate deployment of X.509 certificates"
+HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+CDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND="
+       ${CDEPEND}
+       >=app-crypt/acme-0.29.0[${PYTHON_USEDEP}]
+       >=dev-python/configargparse-0.9.3[${PYTHON_USEDEP}]
+       dev-python/configobj[${PYTHON_USEDEP}]
+       >=dev-python/cryptography-1.2.3[${PYTHON_USEDEP}]
+       >=dev-python/distro-1.0.1[${PYTHON_USEDEP}]
+       >=dev-python/josepy-1.1.0[${PYTHON_USEDEP}]
+       dev-python/mock[${PYTHON_USEDEP}]
+       >=dev-python/parsedatetime-1.3[${PYTHON_USEDEP}]
+       dev-python/pyrfc3339[${PYTHON_USEDEP}]
+       dev-python/pytz[${PYTHON_USEDEP}]
+       dev-python/zope-component[${PYTHON_USEDEP}]
+       dev-python/zope-interface[${PYTHON_USEDEP}]"
+DEPEND="
+       ${CDEPEND}
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )"
+
+python_test() {
+       # acme is not installed, removing it here is fine, the dir just 
confuses tests
+       rm -R acme
+       pytest -vv ${PN} || die
+}

diff --git a/app-crypt/certbot/certbot-0.40.1.ebuild 
b/app-crypt/certbot/certbot-0.40.1.ebuild
new file mode 100644
index 00000000000..6ec4076e0c5
--- /dev/null
+++ b/app-crypt/certbot/certbot-0.40.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=(python{3_6,3_7})
+
+if [[ ${PV} == 9999* ]]; then
+       EGIT_REPO_URI="https://github.com/certbot/certbot.git";
+       inherit git-r3
+else
+       SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
+fi
+
+inherit distutils-r1
+
+DESCRIPTION="Let's encrypt client to automate deployment of X.509 certificates"
+HOMEPAGE="https://github.com/certbot/certbot https://letsencrypt.org/";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+CDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND="
+       ${CDEPEND}
+       >=app-crypt/acme-0.40.0[${PYTHON_USEDEP}]
+       >=dev-python/configargparse-0.9.3[${PYTHON_USEDEP}]
+       dev-python/configobj[${PYTHON_USEDEP}]
+       >=dev-python/cryptography-1.2.3[${PYTHON_USEDEP}]
+       >=dev-python/distro-1.0.1[${PYTHON_USEDEP}]
+       >=dev-python/josepy-1.1.0[${PYTHON_USEDEP}]
+       dev-python/mock[${PYTHON_USEDEP}]
+       >=dev-python/parsedatetime-1.3[${PYTHON_USEDEP}]
+       dev-python/pyrfc3339[${PYTHON_USEDEP}]
+       dev-python/pytz[${PYTHON_USEDEP}]
+       dev-python/zope-component[${PYTHON_USEDEP}]
+       dev-python/zope-interface[${PYTHON_USEDEP}]"
+DEPEND="
+       ${CDEPEND}
+       test? (
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )"
+
+python_test() {
+       # acme is not installed, removing it here is fine, the dir just 
confuses tests
+       rm -R acme
+       pytest -vv ${PN} || die
+}

Reply via email to